Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Problem running (old) app created with eclipse
Problem running (old) app created with eclipse [message #1793334] Sun, 05 August 2018 12:44 Go to next message
Maurice de Laat is currently offline Maurice de LaatFriend
Messages: 2
Registered: August 2018
Junior Member
Hello,
Disclaimer: I am not a eclipse programmer.

I am a user of an old app (called Trainspotter) that used to work on my MacBooks. The program is not maintained anymore, the website is off air. The app has specific funcationality for DJ's that are not found in other apps.

The app was working perfectly on several (old and new) MacBooks until last week, when I updated my system from 10.12 Sierra to 10.13 high Sierra.

Ever since then, this 'Trainspotter' app fails to start.

I hope you can be of any help.

The app worked ok with java 1.6 and macOS 10.12.

When launching the first time in macOS 10.13, a message popped up stating I had to install java again, directing me to a download page of apple. So I did. No difference. Well, the message I had to install java was gone, but still the app will not load.

I have tried upgrading java but the error stays the same. I removed that java version again. Currently the command java -version show this:
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-468)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-468, mixed mode)

which is the same as on an old MacBook where this app still works.

It points to a log file, which I attach in whole to this message and paste the lines that look informative below.
I hope any of you can point me in a right direction.
Thank you so much!
Kind regards
Maurice

!SESSION 2018-08-05 13:14:33.315 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_65
java.vendor=Apple Inc.
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=nl_NL
Framework arguments: -keyring /Users/maurice/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -keyring /Users/maurice/.eclipse_keyring -showlocation

!ENTRY org.eclipse.osgi 4 0 2018-08-05 13:14:38.165
!MESSAGE An error occurred while automatically activating bundle TrainspotterTwo (162).
!STACK 0
org.osgi.framework.BundleException: Exception in trainspottertwo.Activator.start() of bundle TrainspotterTwo.

!ENTRY org.eclipse.osgi 4 0 2018-08-05 13:14:38.210
!MESSAGE Application error
!STACK 1
org.eclipse.core.runtime.CoreException: Plug-in TrainspotterTwo was unable to load class trainspottertwo.Application.
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.throwException(RegistryStrategyOSGI.java:194)
Re: Problem running (old) app created with eclipse [message #1793336 is a reply to message #1793334] Sun, 05 August 2018 18:13 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3224
Registered: July 2009
Senior Member

It's possible that a security measure on macOS is messing with file locations. Try moving it to a different location.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Problem running (old) app created with eclipse [message #1793387 is a reply to message #1793336] Tue, 07 August 2018 09:39 Go to previous message
Maurice de Laat is currently offline Maurice de LaatFriend
Messages: 2
Registered: August 2018
Junior Member
Nitin Dahyabhai wrote on Sun, 05 August 2018 18:13
It's possible that a security measure on macOS is messing with file locations. Try moving it to a different location.


Thank you very much for your reply.
I have moved the tree with the program to:
(a) my userdirectory. Same result.
(b) a networkdrive. Now, the program complains that the filesystem does not allow locking. I added "-Dosgi.locking=none" as a VM argument, as suggested by the error message. But after that, the program also quits with an error, just as in case (a)

Any more suggestions are definitely welcome.
Previous Topic:Assign F10 Key to Debug Step Over
Next Topic:Seeking freelance developer
Goto Forum:
  


Current Time: Sat Aug 18 14:06:23 GMT 2018

Powered by FUDForum. Page generated in 0.02864 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top